/* Motenpoche 
 *
 * (c) 2023 Daniele Lacamera <root@danielinux.net>
 *
 *
 * Motenpoche is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Motenpoche is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1335, USA
 *
 */
#ifndef VAULT_FSM_H
#define VAULT_FSM_H
enum vault_state {
    VAULT_OFF   = 0,
    VAULT_TOFU,
    VAULT_BOOTUP,
    VAULT_VERIFY_PASSPHRASE,
    VAULT_VERIFY_FAILED,
    /* From here on: Authenticated */
    VAULT_MAIN_MENU,
    VAULT_SETTINGS_MENU,
    VAULT_SERVICE_LIST
};

void fsm_set(enum vault_state st);
enum vault_state fsm_get(void);
void fsm_event_task(void);
#endif
